
QGIS Application - Bug report #7597

Sort attribute table - words with accent marks

2013-04-13 08:40 AM - Pedro Venâncio

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Xubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16527

Description

Words with accents are not correctly sorted in the attribute table (by clicking the column header). For example, the word (in Portuguese)

"Água" appears after all other words that start with letters without accents.

This is a regression, in version 1.8 it works well.

I'm using master version compiled yesterday, on Linux.

Associated revisions

Revision 268c0374 - 2013-04-15 06:17 PM - Matthias Kuhn

[Fix #7597] Attribute Table: Reintroduce locale aware sorting

History

#1 - 2013-04-13 09:13 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#2 - 2013-04-13 10:50 AM - Giovanni Manghi

confirmed here.

#3 - 2013-04-14 10:52 AM - Giovanni Manghi

Please note also that sorting of columns with "NULLS" does not work as expected and in 1.8 used to work. I'm seeing this on a joined table, if this means

something.

#4 - 2013-04-15 09:20 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"268c03745fb41438d560c2a08dde3a2fff7c5e96".

#5 - 2013-04-15 01:19 PM - Pedro Venâncio

Confirmed! 
Thank you very much Matthias!
